wwgt.net
当前位置:首页 >> mysqlDB python2.7 >>

mysqlDB python2.7

msqldb适用于python2,不适用于python3,python3使用pymysql

#!/usr/bin/env python#coding=utf-8import MySQLdbconn = MySQLdb.connect( host = '192.188.80.41', port = 3306, user = 'root', passwd = 'root', db = 'MYSQL237_HDR', charset='utf8')cur = conn.cursor()cur.close()conn.close()

python2.7和python3.4你可以看成是两个软件,你在一个里装了,另一个里当然不能用,你需要在python3.4里也安装mysqldb才可以,你可以通过pip install mysql-python,或者python3 setup.py install 来安装。 如果解决了您的问题请采纳! 如果未解...

到官方下载MySQL for Python 然后解压,打开README: 里面有安装过程: $ tar xfz MySQL-python-1.2.1.tar.gz $ cd MySQL-python-1.2.1 $ # edit site.cfg if necessary $ python setup.py build $ sudo python setup.py install # or su first ...

似乎这个_mysql.so不是在mac上编译的,因此不能正常执行。 建议:寻找正确的mac版本,或者下载源代码并自己编译。 另外,可以试试pymysql,这个据说比MySQLdb更稳定,而且语法上差不多。

你的电脑里没有安装mysql,所以没有libmysql这个动态链接库文件。

看数据库的配置和性能 做python的时候需要用到数据库,于是自己重新整理了一下数据库的知识,并且熟悉了python中MysqlDB模块的功能和函数等接口,现在系统地来总结一下吧: 首先你要做的还是下载相应的模块并且安装啦,下载地址自己搜,网上有很...

在Python环境下,如果想操作MySQL数据库,安装MySQLdb后通过导入:import MySQLdb 后,可直接调用里面的方法

目测你是在windows下安装吧吗?windows下只能通过exe安装,可以到这里去下载,目前只支持python2版本http://www.lfd.uci.edu/~gohlke/pythonlibs/#MySQL_python。

python 2.7是万能的,能不能支持要看你用的模块,目测pymysql 和mysqldb模块应该都是支持的

网站首页 | 网站地图
All rights reserved Powered by www.wwgt.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com